<?php require_once('../../Connections/cn.php'); ?>
<?php 
//Aqui quito caracteres que estan demas en el filtro que viene de otra pagina 
header("Content-Type:text/html; charset=utf-8");
$sqlr = str_replace("`", "", $sqlr); 
$sqlr = str_replace("\'", '"', $sqlr); 

// Selecciono la Base de Datos. 
mysql_select_db($database_cn); 
mysql_query ("SET NAMES 'utf8'");

$promocion=$_GET['numero_promocion'];

$sede=$_GET['sede'];

$sqlx = "SELECT nombre_sede FROM sedes where codigo='$sede'";
$rsx = mysql_query($sqlx, $cn) or die(mysql_error());
$rowx = mysql_fetch_assoc($rsx);
$nombre_sede= $rowx['nombre_sede'];



// Selecciono la Base de Datos. 
mysql_select_db($database_cn); 
mysql_query ("SET NAMES 'utf8'");


// Incluye la calses que se requieren para el reporte. 
error_reporting(E_ALL); 
include('class.ezpdf.php'); 
require('numerosALetras.class.php');

// Se establece el tipo de p�gina y el formato de impresi�n.
$pdf = & new Cezpdf('letter','landscape'); 
$pdf->selectFont('./fonts/Helvetica'); 
// Se inicializa el contador de paginas en 1 y se especifica en que lugar se va a imprimir 
$pdf->ezStartPageNumbers(750,17,8,'','{PAGENUM}/{TOTALPAGENUM}',1); 

// coloca una linea arriba y abajo de todas las paginas 
$fechs = date("d/m/y"); 
$all = $pdf->openObject(); 
$pdf->saveState(); 
$pdf->setStrokeColor(0,0,0,1); 
// Se define el query de los datos que contendr� el reporte.
mysql_select_db($database_cn, $cn);
mysql_query ("SET NAMES 'utf8'");
if($sede=='0'){
	$query = "Select
	egresados.cedula,
	egresados.apellidos,
	egresados.nombres,
	egresados.id_alumno,
	egresados.nom_carrera,
	egresados.id_carrera
	From
	egresados
	where 
	promocion='$promocion' 
	order by
	egresados.nom_carrera,egresados.apellidos,egresados.nombres";
}
else{
    $query = "Select
	egresados.cedula,
	egresados.apellidos,
	egresados.nombres,
	egresados.id_alumno,
	egresados.nom_carrera,
	egresados.id_carrera
	From
	egresados
	where 
	promocion='$promocion'  and sede='$sede'
	order by
	egresados.nom_carrera,egresados.apellidos,egresados.nombres";
}
// Ejecuta el Query.
$result = mysql_query ($query,$cn) or die (mysql_error()); 

// Numero de Filas.
$totalRows = mysql_num_rows($result);
// Se obtienen los datos del docente que dict� la materia.




// Inicio del Encabezado.
$imagen=ImageCreatefromjpeg('../../imagenes/ulac.jpg');
$pdf->addImage($imagen,35,$pdf->y-55,100,0);
$pdf->selectFont('/fonts/Helvetica.afm');
//$pdf->ezsetdy(-5);
$pdf->ezText("                         UNIVERSIDAD LATINOAMERICANA Y DEL CARIBE",14,array('justification'=>'full'));

$pdf->ezText("                                   Rectorado",10,array('justification'=>'left'));
$pdf->ezText("                                   Control de Estudios",10,array('justification'=>'left'));
$pdf->ezsetdy(-12);
$pdf->ezText('<b>'."          RELACION DE GRADUANDOS".'</b>',14,array('justification'=>'center'));
if($sede=='0'){
	$pdf->ezText('<b>'.utf8_decode("          ACTO DE GRADO ").utf8_decode($promocion).'</b>',12,array('justification'=>'center'));
}
else{
    $pdf->ezText('<b>'.utf8_decode("          ACTO DE GRADO ").utf8_decode($promocion).' - SEDE '.$nombre_sede.'</b>',12,array('justification'=>'center'));
}
$pdf->ezsetdy(-12);
$pdf->ezText("GRADUANDOS: ".$totalRows.'                                                                                                                                                                                                             '.utf8_decode("Fecha de Impresión: ").date("d/m/Y"),9 ,array('justification'=>'left'));

// Fin del Encabezado.
// Inicio del Pie de P�gina.

// Fin del Pie de P�gina.
pie_pagina($pdf);
// Se restaura el objeto y se cierra, para que de el salto de p�gina.
$pdf->restoreState(); 
$pdf->closeObject(); 
// Establece los margenes para imprimir el cuerpo del reporte.
$pdf->ezSetCmMargins(4.9,3,2.5,2.5);
$pdf->addObject($all,'all'); 

// Inicializa array 
$data = array(); 
//Aqui se coloca el header de la Tabla 
$cols = array('nro'=>'Nro.', 
			  'cedula'=>utf8_decode('CÉDULA').'      ', 
              'apellidosynombres'=>'                 APELLIDOS Y NOMBRES',
			  'programa'=>utf8_decode('TITULO A OBTENER'),
			  ); 
$smc = 0; 
// Convierte la Nota a Letras.
$nota = new numerosALetras;

while ($row = mysql_fetch_row($result)) { 
    $ced      = $row[0];    // cedula 
	$id_alumno     = $row[3];    // cedula 
    setlocale(LC_CTYPE,'es');
    $apeynom  = ucwords(strtolower($row[1])).', '.ucwords(strtolower($row[2])); // apellidos y nombres
	$programa= $row[4];
	$id_carrera=$row[5];
	$fn='X';
	$cc='X';
	$pn='X';
	$fc='X';
	$fotos='X';
	$cv='X';
	$planilla='X';
	$idioma='X';
	
	$sql21 = "select mencion from carreras where id_carrera='$id_carrera'";
	$rs21 = mysql_query ($sql21,$cn) or die (mysql_error()); 
	$row21 = mysql_fetch_row($rs21);
	$titulo=$row21[0];
	
    //Busco los doumentos del alumno
	$sql2 = "select id_documento,status from documentos_alumno where id_alumno='$id_alumno'";
	$rs2 = mysql_query ($sql2,$cn) or die (mysql_error()); 
	while ($row_doc = mysql_fetch_row($rs2)) {
	        // Fondo Negro del Título de pregrado Autenticado
	        if($row_doc[0]==16 and $row_doc[1]=='E'){
			   $fn='S';
			 }
			// Resumen Curricular Actualizado 
			if($row_doc[0]==21 and $row_doc[1]=='E'){
			   $cv='S';
			 } 
			// Origonal de la Partida de Nacimiento
			if($row_doc[0]==18 and $row_doc[1]=='E'){
			   $pn='S';
			 }
			// Fotocopia de la Cédula de identidad ampliada al 150% 
			if($row_doc[0]==12 and $row_doc[1]=='E'){
			   $fc='S';
			 } 
			// Plamilla de Inscripción ULAC
			if($row_doc[0]==11 and $row_doc[1]=='E'){
			   $planilla='S';
			 } 
			// Certificación de Calificaciones Pregrado Original 
			if($row_doc[0]==17 and $row_doc[1]=='E'){
			   $cc='S';
			 } 
			// Dos Fotografías de Frentre tamaño carnet 
			if($row_doc[0]==13 and $row_doc[1]=='E'){
			   $fotos='S';
			 }           
			// Dos Fotografías de Frentre tamaño carnet 
			if($row_doc[0]==20 and $row_doc[1]=='E'){
			   $idioma='S';
			 }            
	}  

    $smc = $smc + 1; 
    // Aqui se agregan las variables formateadas al array 
    $data[] = array('nro'=>$smc,
	                'cedula'=>$ced.' ', 
                    'apellidosynombres'=>$apeynom,
					'programa'=>utf8_decode($titulo),
					); 
} 
					   
$pdf->ezTable($data,$cols,'',array('width'=>'750','fontSize'=>8, 
'cols'=>array('nro'=>array('justification'=>'center') 
			 ,'cedula'=>array('justification'=>'right') 
             ,'apellidosynombres'=>array('justification'=>'left')
			 ,'programa'=>array('justification'=>'left')) 
));// salida 
pie_pagina($pdf);

if (isset($d) && $d){ 
	$pdfcode = $pdf->ezOutput();
 
	$pdfcode = str_replace('\n','\n<br>',htmlspecialchars($pdfcode)); 
	echo '<html><body>'; 
	echo trim($pdfcode);
	echo '</body></html>'; 
} else { 
	$pdf->ezStream(); 
} 


   function pie_pagina($pdf)
{
    // Facilitador(a).
    $pdf->Rectangle(15,25,750,50);
    $pdf->addText(380,65,8,'LEYENDA');
	$pdf->line(15,60,765,60); 
	$pdf->addText(25,50,7.5,utf8_decode('FNAT=Fondo Negro Autenticado del Título de Pregrado'));
	$pdf->addText(230,50,7.5,utf8_decode('CCA:Certificación de Calificaciones de Pregrado Autenticadas'));
	$pdf->addText(460,50,7.5,utf8_decode('PN=Partida de Nacimiento Original'));
	$pdf->addText(600,50,7.5,utf8_decode('FCI=Fotocopia de la Cédula de identidad (150%)'));
	$pdf->addText(25,40,7.5,utf8_decode('FTC=2 Fotografías de Frente Tamaño Carnet'));
	$pdf->addText(230,40,7.5,utf8_decode('RCA=Resumen Curricular Actualizado'));
	$pdf->addText(460,40,7.5,utf8_decode('PIU=Planilla de Inscripción ULAC'));
	$pdf->addText(600,40,7.5,utf8_decode('CSI=Constancia de Suficiencia de Idioma'));
	$pdf->addText(25,30,7.5,utf8_decode('X=Documento No Consignado'));
	$pdf->addText(230,30,7.5,utf8_decode('S=Documento Consignado'));
	//$pdf->addText(65,180,8,$nom_docente);
	//$pdf->addText(65,170,7,'C�dula o Pasaporte');
}
    

?> 